﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Painter
{
    public partial class FormPainter : Form
    {
        Graphics g;
        Pen pen = new Pen(Color.Black, 3);

        public FormPainter()
        {
            InitializeComponent();

            g = this.CreateGraphics();
        }

        bool isMouseDown = false;

        private void FormPainter_MouseDown(object sender, MouseEventArgs e)
        {
            isMouseDown = true;
        }

        private void FormPainter_MouseUp(object sender, MouseEventArgs e)
        {
            isMouseDown = false;
        }

        List<Point> points = new List<Point>();

        private void FormPainter_MouseMove(object sender, MouseEventArgs e)
        {
            Point p = new Point(e.X, e.Y);
            if (isMouseDown && points.Count > 0)
            {
                Point last = points[points.Count - 1];
                g.DrawLine(pen, last, p);
            }
            points.Add(p);
        }
    }
}
